Package org.opencv.dnn

## Class KeypointsModel

- java.lang.Object
- - org.opencv.dnn.Net
  - - org.opencv.dnn.Model
    - - org.opencv.dnn.KeypointsModel

-     public class KeypointsModel
      extends Model

  This class represents high-level API for keypoints models KeypointsModel allows to set params for preprocessing input image. KeypointsModel creates net from file with trained weights and config, sets preprocessing input, runs forward pass and returns the x and y coordinates of each detected keypoint

- - ### Field Summary

    - ### Fields inherited from class org.opencv.dnn.Net

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `KeypointsModel​(long addr)` |
    `` | `KeypointsModel​(java.lang.String model)` | Create keypoints model from network represented in one of the supported formats.
    `` | `KeypointsModel​(java.lang.String model, java.lang.String config)` | Create keypoints model from network represented in one of the supported formats.
    `` | `KeypointsModel​(Net network)` | Create model from deep learning network.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static KeypointsModel` | `__fromPtr__​(long addr)` |
    `MatOfPoint2f` | `estimate​(Mat frame)` | Given the `input` frame, create input blob, run net
    `MatOfPoint2f` | `estimate​(Mat frame, float thresh)` | Given the `input` frame, create input blob, run net
    `protected void` | `finalize()` |

    - ### Methods inherited from class org.opencv.dnn.Model

      `predict, setInputCrop, setInputMean, setInputParams, setInputParams, setInputParams, setInputParams, setInputParams, setInputParams, setInputScale, setInputSize, setInputSize, setInputSwapRB`

    - ### Methods inherited from class org.opencv.dnn.Net

      `connect, dump, dumpToFile, empty, enableFusion, forward, forward, forward, forward, forward, getFLOPS, getFLOPS, getFLOPS, getFLOPS, getLayer, getLayerId, getLayerNames, getLayersCount, getLayerTypes, getMemoryConsumption, getMemoryConsumption, getMemoryConsumption, getNativeObjAddr, getParam, getParam, getPerfProfile, getUnconnectedOutLayers, getUnconnectedOutLayersNames, readFromModelOptimizer, readFromModelOptimizer, setHalideScheduler, setInput, setInput, setInput, setInput, setInputShape, setInputsNames, setParam, setPreferableBackend, setPreferableTarget`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeypointsModel

          protected KeypointsModel​(long addr)

    - #### KeypointsModel

          public KeypointsModel​(Net network)

      Create model from deep learning network.
      Parameters:
        `network` - Net object.

    - #### KeypointsModel

          public KeypointsModel​(java.lang.String model,
                                java.lang.String config)

      Create keypoints model from network represented in one of the supported formats. An order of `model` and `config` arguments does not matter.
      Parameters:
        `model` - Binary file contains trained weights.
        `config` - Text file contains network configuration.

    - #### KeypointsModel

          public KeypointsModel​(java.lang.String model)

      Create keypoints model from network represented in one of the supported formats. An order of `model` and `config` arguments does not matter.
      Parameters:
        `model` - Binary file contains trained weights.

  - ### Method Detail

    - #### __fromPtr__

          public static KeypointsModel __fromPtr__​(long addr)

    - #### estimate

          public MatOfPoint2f estimate​(Mat frame,
                                       float thresh)

      Given the `input` frame, create input blob, run net
      Parameters:
        `thresh` - minimum confidence threshold to select a keypoint
        `frame` - automatically generated
      Returns:
        a vector holding the x and y coordinates of each detected keypoint

    - #### estimate

          public MatOfPoint2f estimate​(Mat frame)

      Given the `input` frame, create input blob, run net
      Parameters:
        `frame` - automatically generated
      Returns:
        a vector holding the x and y coordinates of each detected keypoint

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Model`
      Throws:
        `java.lang.Throwable`